Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ContainerDispenser

    java.lang.Object
      net.minecraft.src.Container
          net.minecraft.src.ContainerDispenser

    public class ContainerDispenser

extends Container

Field Summary

Fields inherited from class net.minecraft.src.Container
`inventoryItemStacks, inventorySlots, windowId`

Constructor Summary
`ContainerDispenser(IInventory par1IInventory, TileEntityDispenser par2TileEntityDispenser)`

Method Summary
`boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
`ItemStack` | `transferStackInSlot(EntityPlayer par1EntityPlayer, int par2)` Called when a player shift-clicks on a slot.

Methods inherited from class net.minecraft.src.Container
`addCraftingToCrafters, enchantItem, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, onCraftGuiClosed, onCraftMatrixChanged, putStackInSlot, putStacksInSlots, removeCraftingFromCrafters, setPlayerIsPresent, slotClick, updateCraftingResults, updateProgressBar`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerDispenser

    public ContainerDispenser(IInventory par1IInventory,
                              TileEntityDispenser par2TileEntityDispenser)

Method Detail

### canInteractWith

    public boolean canInteractWith(EntityPlayer par1EntityPlayer)

  Specified by:
    `canInteractWith` in class `Container`

### transferStackInSlot

    public ItemStack transferStackInSlot(EntityPlayer par1EntityPlayer,
                                         int par2)

  Called when a player shift-clicks on a slot. You must override this or you will crash when someone does that.

  Overrides:
    `transferStackInSlot` in class `Container`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD